Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1164571 - Review Request: kosmtik - Make maps with OpenStreetMap and Mapnik
Summary: Review Request: kosmtik - Make maps with OpenStreetMap and Mapnik
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1164478 1164479 1164485 1164486 1164487
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2014-11-16 15:52 UTC by Tom Hughes
Modified: 2014-12-20 08:39 UTC (History)
2 users (show)

Fixed In Version: nodejs-leaflet-formbuilder-0.0.6-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-20 08:39:03 UTC
msuchy: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom Hughes 2014-11-16 15:52:50 UTC
Spec URL: http://download.compton.nu/nodejs/kosmtik.spec
SRPM URL: http://download.compton.nu/nodejs/kosmtik-0.0.8-2.fc20.noarch.rpm
Fedora Account System Username: tomh

Description:
Very lite but extendable mapping framework to create Mapnik
ready maps with OpenStreetMap data (and more).

For now, only Carto based projects are supported (with .mml or
.yml config), but in the future we hope to plug in MapCSS too.

Comment 2 Miroslav Suchý 2014-12-08 08:09:43 UTC
Taking.

SRPM URL is incorrect. I am using: http://download.compton.nu/nodejs/kosmtik-0.0.9-1.fc20.src.rpm

Comment 3 Miroslav Suchý 2014-12-08 09:00:31 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

Issues:
 * Package contains desktop file if it is a GUI application.
 * You may consider add appstream file (this one does not block review)
 * You should contact upstream to provide LICENSE file with full license text (this one does not block review)
 * You may consider writing up man page (this one does not block review)
 * I'm not sure how hard it would be to unbundle those fonts.

Comment 4 Tom Hughes 2014-12-08 09:14:15 UTC
It's not actually a GUI application in the normal sense - when you run it a local web server is started which is then accessed from a web browser.

I'll look into the font issue - we have all the fonts packaged, but only in OTF format (for the Fira ones) and TTF format (for the DejaVU ones) so there may be an issue. I know the whole question of web fonts was discussed on devel a while ago so I will try and find that.

Comment 5 Tom Hughes 2014-12-08 09:19:18 UTC
https://fedoraproject.org/wiki/Packaging:Web_Assets#Fonts seems to be the answer.

Comment 6 Miroslav Suchý 2014-12-08 09:33:18 UTC
> It's not actually a GUI application in the normal sense - when you run it a
> local web server is started which is then accessed from a web browser.

OK. 

Then only those fonts are blocking the review.
License and man page remains as nice-to-have.

Comment 7 Tom Hughes 2014-12-08 10:28:50 UTC
Updated package with fonts removed and non-js files moved to datadir:

Spec URL: http://download.compton.nu/nodejs/kosmtik.spec
SRPM URL: http://download.compton.nu/nodejs/kosmtik-0.0.9-2.fc21.src.rpm

Comment 8 Miroslav Suchý 2014-12-08 11:54:10 UTC
OK all blocking items are done.
License and man page remains, but you can do that any time later.
Additionally it would be nice if you can (at least) add some documentation, which would describe how to install openstreetmap-cart on Fedora, eg.:
 dnf install gdal mapnik-utils
 git checkout ..../openstreetmap-carto.git
 cd openstreetmap-carto
 download shapes
 populate postgresql with gis
 kosmtik serve ./project.mml
but that is just UX.

APPROVED

Comment 9 Tom Hughes 2014-12-08 11:56:16 UTC
New Package SCM Request
=======================
Package Name: kosmtik
Short Description: Make maps with OpenStreetMap and Mapnik
Upstream URL: https://github.com/kosmtik/kosmtik
Owners: tomh
Branches: f20 f21
InitialCC: jamielinux

Comment 10 Gwyn Ciesla 2014-12-08 13:59:32 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2014-12-08 15:20:47 UTC
nodejs-leaflet-formbuilder-0.0.6-1.fc21,nodejs-leaflet-hash-0.2.1-1.fc21,kosmtik-0.0.9-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-leaflet-formbuilder-0.0.6-1.fc21,nodejs-leaflet-hash-0.2.1-1.fc21,kosmtik-0.0.9-2.fc21

Comment 12 Fedora Update System 2014-12-12 04:03:58 UTC
nodejs-leaflet-formbuilder-0.0.6-1.fc21, nodejs-leaflet-hash-0.2.1-1.fc21, kosmtik-0.0.9-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 13 Fedora Update System 2014-12-20 08:39:03 UTC
nodejs-leaflet-formbuilder-0.0.6-1.fc21, nodejs-leaflet-hash-0.2.1-1.fc21, kosmtik-0.0.9-2.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.